public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pygresql/
Date: Mon, 28 Aug 2023 16:53:17 +0000 (UTC)	[thread overview]
Message-ID: <1693241591.eee7e9ec23da7c31f93d547bb95fc2db2f166f8f.mgorny@gentoo> (raw)

commit:     eee7e9ec23da7c31f93d547bb95fc2db2f166f8f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 28 16:32:39 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 16:53:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eee7e9ec

dev-python/pygresql: Bump to 5.2.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygresql/Manifest              |  1 +
 dev-python/pygresql/pygresql-5.2.5.ebuild | 59 +++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/pygresql/Manifest b/dev-python/pygresql/Manifest
index 406b3d42e47f..1cf74e6bf189 100644
--- a/dev-python/pygresql/Manifest
+++ b/dev-python/pygresql/Manifest
@@ -1 +1,2 @@
 DIST PyGreSQL-5.2.4.tar.gz 270319 BLAKE2B 6ec2bf9786dd97f8649585bd00b87569d2cd668e43e8cc28443126ec2ee00943f044775b756785002c32aef516c4141e126e7d458b232bf8bfa1413bfdbd2db0 SHA512 3dbb90391e0a12f1ce4676dd5fa89d586d33a4bcb710779583beb05ae71131fbcf0412e702b542d856f3fd6ceeb145952c2f7bdede25efd08fe61ffcf0296212
+DIST PyGreSQL-5.2.5.tar.gz 272605 BLAKE2B 6b3d63ee5d34bbe4eb3f482c7a6e6ef02f6087bf8799aeabf57e2bd7bc77ba46d3d741d1f1355336df7f76f6d23c6d2894d3e3fcfbaafbe6171978c7fc4db30b SHA512 e99a9776e92d812fcf06cf3f448b38aa39ccd108b28237e22dcb663293db41c92d78aa72ad0665552dd99a6a0a8bad518521cacf0b545b888132758f36488f88

diff --git a/dev-python/pygresql/pygresql-5.2.5.ebuild b/dev-python/pygresql/pygresql-5.2.5.ebuild
new file mode 100644
index 000000000000..65d81268f5ed
--- /dev/null
+++ b/dev-python/pygresql/pygresql-5.2.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyGreSQL"
+POSTGRES_COMPAT=( 9.6 {10..14} )
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 postgres pypi
+
+DESCRIPTION="A Python interface for the PostgreSQL database"
+HOMEPAGE="https://pygresql.org/"
+
+LICENSE="POSTGRESQL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.2-CFLAGS.patch
+)
+
+distutils_enable_tests unittest
+
+pkg_setup() {
+	if [[ ${MERGE_TYPE} != binary ]]; then
+		postgres_pkg_setup
+	fi
+}
+
+src_test() {
+	local db="${T}/pgsql"
+	initdb --username=portage -D "${db}" || die
+	pg_ctl -w -D "${db}" start \
+		-o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+	psql -h "${T}" -U portage -d postgres \
+		-c "ALTER ROLE portage WITH PASSWORD 'postgres';" || die
+	createdb -h "${T}" -U portage unittest || die
+
+	cat > tests/LOCAL_PyGreSQL.py <<-EOF || die
+		dbhost = '${T}'
+	EOF
+
+	distutils-r1_src_test
+
+	pg_ctl -w -D "${db}" stop || die
+}
+
+python_install_all() {
+	local DOCS=( docs/*.rst docs/community/* docs/contents/tutorial.rst )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2023-08-28 16:53 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-28 16:53 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-04 11:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/pygresql/ Michał Górny
2024-05-04  7:57 Arthur Zamarin
2024-05-04  7:34 Arthur Zamarin
2024-05-04  7:28 Arthur Zamarin
2024-04-20  5:40 Michał Górny
2023-12-02 19:30 Michał Górny
2023-12-02 13:59 Arthur Zamarin
2023-12-02 13:11 Michał Górny
2023-12-02 13:05 Arthur Zamarin
2023-12-02 13:05 Arthur Zamarin
2023-11-09 18:24 Michał Górny
2023-10-25  5:54 Michał Górny
2023-10-24 19:45 Arthur Zamarin
2023-10-24 19:45 Arthur Zamarin
2023-10-24 19:45 Arthur Zamarin
2023-10-04  5:51 Michał Górny
2023-05-03  5:22 Sam James
2022-05-04 17:56 Michał Górny
2022-04-21  8:25 Jakov Smolić
2022-04-21  7:02 Agostino Sarubbo
2022-04-19 17:04 Arthur Zamarin
2022-03-27  9:31 Michał Górny
2022-01-31  7:53 Michał Górny
2021-11-04  8:04 Arthur Zamarin
2021-11-04  8:04 Arthur Zamarin
2021-11-04  8:04 Arthur Zamarin
2021-08-22 21:53 David Seifert
2021-01-24 10:15 Michał Górny
2021-01-20  7:41 Agostino Sarubbo
2021-01-20  0:04 Sam James
2020-12-18 12:29 Aaron W. Swenson
2020-12-01  2:56 Aaron W. Swenson
2020-09-05 15:15 Sam James
2020-09-03 14:29 Thomas Deutschmann
2020-08-14  0:49 Aaron W. Swenson
2020-07-27 20:06 Aaron Bauman
2020-05-11 16:49 Agostino Sarubbo
2020-05-05  6:46 Agostino Sarubbo
2020-03-28 17:44 Michał Górny
2020-01-18 18:48 Michał Górny
2019-06-17 10:36 Aaron W. Swenson
2019-06-15 10:58 Aaron W. Swenson
2019-05-02 21:08 Mikle Kolyada
2019-04-01 19:58 Thomas Deutschmann
2019-03-24 20:12 Sergei Trofimovich
2019-03-24 19:44 Sergei Trofimovich
2019-03-24 10:01 Agostino Sarubbo
2019-02-14 11:34 Aaron W. Swenson
2019-02-14  7:19 Sergei Trofimovich
2018-05-13 16:29 Aaron Swenson
2018-03-18 20:50 Sergei Trofimovich
2018-03-03 12:14 Tobias Klausmann
2018-02-18 21:05 Sergei Trofimovich
2018-01-05 23:19 Michał Górny
2017-12-30 18:12 Aaron Swenson
2017-12-30 11:02 Sergei Trofimovich
2017-12-29 17:55 Mikle Kolyada
2017-12-19 15:46 Thomas Deutschmann
2017-11-16 21:27 Aaron Swenson
2017-05-02  8:47 Michał Górny
2016-02-19 12:46 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693241591.eee7e9ec23da7c31f93d547bb95fc2db2f166f8f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox